### Virtual Method

# EDataBook DataBookCursor load_locale

#### Declaration [src]

    gboolean
    load_locale (
      EDataBookCursor* cursor,
      gchar** locale,
      GError** error
    )

#### Description [src]

The `EDataBookCursorLoadLocaleFunc` delegate used to reload the locale setting.

#### Parameters

`locale`

  Type: `gchar**`

  Return location to store the newly loaded locale.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on Success, otherwise `FALSE` is returned if any error occurred and `error` is set to reflect the error which occurred.